@btn-primary-padding: @btn-padding;
@btn-primary-font-family: @font-secondary;
@btn-primary-font-size: 100%;
@btn-primary-font-weight: 500;
@btn-primary-letter-spacing: 0.035em;
@btn-primary-text-transform: uppercase;

@btn-primary-color: @c-black;
@btn-primary-color_hover: @btn-primary-color;
@btn-primary-color_focus: @btn-primary-color;
@btn-primary-color_active: @btn-primary-color;

@btn-primary-bg: @c-primary;
@btn-primary-bg_hover: @c-primary;
@btn-primary-bg_focus: @c-primary;
@btn-primary-bg_active: @c-primary;

@btn-primary-border-radius: @btn-border-radius;



.btn_primary {
    border-radius: 2px;
    .shadow_1;
    transition: background-color @duration @easing;
    ._mixin_btn_core(
        @btn-primary-padding,
        @btn-primary-font-family,
        @btn-primary-font-size,
        @btn-primary-font-weight,
        @btn-primary-letter-spacing,
        @btn-primary-text-transform
    );
    ._mixin_btn_color(
        @btn-primary-color,
        @btn-primary-color_hover,
        @btn-primary-color_focus,
        @btn-primary-color_active
    );
    ._mixin_btn_background(
        @btn-primary-bg,
        @btn-primary-bg_hover,
        @btn-primary-bg_focus,
        @btn-primary-bg_active
    );
}
